Bug 187476 - Policy update needed for proprietary nvidia driver
Policy update needed for proprietary nvidia driver
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2006-03-31 04:02 EST by Christian Nolte
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.2.29-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-06 08:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Policy update to allow X to load the GLX-lib (815 bytes, patch)
2006-03-31 04:02 EST, Christian Nolte
no flags Details | Diff

  None (edit)
Description Christian Nolte 2006-03-31 04:02:19 EST
Description of problem:
The current selinux-policies prevent the GLX-library from being loaded by X. The
security-context for the file
/usr/lib/xorg/modules/extensions/nvidia/libglx.so.1.0.8178 must be of type
textrel_shlib_t, not lib_t. The related avc message is

type=AVC msg=audit(1143751976.835:11): avc:  denied  { execmod } for  pid=2476
comm="Xorg" name="libglx.so.1.0.8178" dev=hda1 ino=4361257
tcontext=system_u:object_r:lib_t:s0 tclass=file

Version-Release number of selected component (if applicable):

Additional info:
I have attached a patch with an update to the policy needed to load the GLX-lib.
Comment 1 Christian Nolte 2006-03-31 04:02:21 EST
Created attachment 127114 [details]
Policy update to allow X to load the GLX-lib
Comment 2 Christian Nolte 2006-03-31 04:03:59 EST
Sorry, I forgot to mention the related dicussion going on in fedora-list:


and the bug-report in livna's bugzilla:

Comment 3 Konstantin Ryabitsev 2006-03-31 14:45:23 EST
relabeling "chcon -t textrel_shlib_t libglx.so*" seems to have done the trick
for me, but I understand this isn't a universal fix for one reason or another.

Comment 4 Daniel Walsh 2006-04-03 10:55:49 EDT
Fixed in selinux-policy-2.2.29-2.fc5
Comment 6 Thorsten Leemhuis 2006-08-06 08:44:10 EDT
fixed loing ago afaics

Note You need to log in before you can comment on or make changes to this bug.